package main

import "fmt"
import "log"
import "os"
import . "meutel.net/meutel/go-examples/converter"

func main() {
	if len(os.Args) < 3 {
		log.Fatalln("Needs 2 arguments")
	}
	input := os.Args[1]
	convTo := os.Args[2]

	result, err := Convert(input, convTo)
	if err != nil {
		log.Fatalln(err)
	}
	fmt.Println(result)
}
